Bug 903620 - btrfs_subvolume_list broken due to change in subvolume list output
btrfs_subvolume_list broken due to change in subvolume list output
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-24 07:14 EST by Matthew Booth
Modified: 2013-02-25 21:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-08 04:10:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2013-01-24 07:14:17 EST
Description of problem:
><fs> btrfs-subvolume-list /
libguestfs: error: btrfs_subvolume_list: unexpected output from 'btrfs subvolume list' command: ID 256 gen 30 top level 5 path root

gen is new.
Comment 1 Matthew Booth 2013-01-24 07:17:48 EST
Patch posted:

http://www.redhat.com/archives/libguestfs/2013-January/msg00058.html
Comment 2 Richard W.M. Jones 2013-02-08 04:10:20 EST
I pushed this upstream.
Comment 3 Fedora Update System 2013-02-16 04:24:11 EST
libguestfs-1.20.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libguestfs-1.20.2-5.fc18
Comment 4 Fedora Update System 2013-02-25 21:49:49 EST
libguestfs-1.20.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.